Subject: [alpine-aports] [PATCH] testing/pure-ftpd: added pure-ftpd-doc pkg, added configure params, added --with-extauth to configure line, fixed license to BSD

From: "Josh Jameson" <[email-masked]>
Date: Sun, 07 Feb 2016 20:33:22 +0000

See attached file

>From 322529be307b84068a470ac315b22502f24fc9e0 Mon Sep 17 00:00:00 2001
From: Josh Jameson <[email-masked]>
Date: Sun, 7 Feb 2016 20:28:28 +0000
Subject: [PATCH] testing/pure-ftpd: added pure-ftpd-doc pkg, added configure
 params, added --with-extauth to configure line, fixed license to BSD

https://www.pureftpd.org
Pure FTPD FTP daemon
---
 testing/pure-ftpd/APKBUILD | 53 ++++++++++++++++++++++------------------------
 1 file changed, 25 insertions(+), 28 deletions(-)

diff --git a/testing/pure-ftpd/APKBUILD b/testing/pure-ftpd/APKBUILD
index 8ea894f..f81a1c4 100644
--- a/testing/pure-ftpd/APKBUILD
+++ b/testing/pure-ftpd/APKBUILD
@@ -1,22 +1,20 @@
-# Contributor: Douglas Haber <[email-masked]>
-# Maintainer: Natanael Copa <[email-masked]>
+# Contributor: Josh Jameson <[email-masked]>
+# Maintainer: Josh Jameson <[email-masked]>
 pkgname=pure-ftpd
-pkgver=1.0.36
+pkgver=1.0.42
 pkgrel=0
-pkgdesc="Pure FTPD FTP daemon"
-url="http://pureftpd.org"
-arch="all"
-license="GPL"
-depends=
-depends_dev=
+pkgdesc="Pure FTPD FTP daemon with ext-auth enabled"
+url="https://www.pureftpd.org"
+arch="x86_64"
+license="BSD"
+depends="musl"
+depends_dev=""
 makedepends="$depends_dev"
 install=""
-subpackages=""
-source="http://download.pureftpd.org/pub/pure-ftpd/releases/$pkgname-$pkgver.tar.gz
-       pure-ftpd.initd
-       pure-ftpd.confd"
+subpackages="$pkgname-doc"
+source="https://download.pureftpd.org/pub/pure-ftpd/releases/pure-ftpd-$pkgver.tar.gz"
 
-_builddir="$srcdir/$pkgname-$pkgver"
+_builddir="$srcdir"/"$pkgname"-"$pkgver"
 prepare() {
        local i
        cd "$_builddir"
@@ -30,24 +28,23 @@ prepare() {
 build() {
        cd "$_builddir"
        ./configure --prefix=/usr \
-               --without-humor \
-               --without-unicode \
-               --with-minimal \
-               --with-throttling  \
-               || return 1
+       --sysconfdir=/etc \
+       --mandir=/usr/share/man \
+       --infodir=/usr/share/info \
+       --localstatedir=/var \
+        --without-humor \
+        --without-unicode \
+        --with-minimal \
+       --with-throttling \
+       --with-extauth || return 1
        make || return 1
 }
 
 package() {
        cd "$_builddir"
        make DESTDIR="$pkgdir" install || return 1
-        install -m755 -D ../$pkgname.initd \
-                "$pkgdir"/etc/init.d/$pkgname || return 1
-
-        install -m644 -D ../$pkgname.confd \
-                "$pkgdir"/etc/conf.d/$pkgname || return 1
+       rm -rf "$pkgdir"/usr/local
 }
-
-md5sums="bbcb48e8aa6ec1abff9775b89f84af91  pure-ftpd-1.0.36.tar.gz
-8ee239bb4d6b1a93649bf281cdc2f595  pure-ftpd.initd
-85eec24d205663fbc0a3b37fdbe08e84  pure-ftpd.confd"
+md5sums="4195af8f0e5ee2a798b1014071dae3a3  pure-ftpd-1.0.42.tar.gz"
+sha256sums="7be73a8e58b190a7054d2ae00c5e650cb9e091980420082d02ec3c3b68d8e7f9  pure-ftpd-1.0.42.tar.gz"
+sha512sums="c112ba5b11df4026ffe26267df9a1b9b24d8fdde1d6b724c995ec872187783b4057370cd90a8ba230d9c912387dd7345653b7c30cfc38fd2f3849b76ae1e061d  pure-ftpd-1.0.42.tar.gz"
-- 
2.6.4

---

From: Timo Teras <[email-masked]>
Date: Tue, 23 Feb 2016 13:49:30 +0200

Hi,

On Sun, 07 Feb 2016 20:33:22 +0000
Josh Jameson <[email-masked]> wrote:

> Subject: [PATCH] testing/pure-ftpd: added pure-ftpd-doc pkg, added
> configure params, added --with-extauth to configure line, fixed
> license to BSD
> 
> https://www.pureftpd.org
> Pure FTPD FTP daemon
> ---
>  testing/pure-ftpd/APKBUILD | 53
> ++++++++++++++++++++++------------------------ 1 file changed, 25
> insertions(+), 28 deletions(-)
> 

Please leave old Contributors in; and if changing maintainers leave the
old maintainer as contributor.

> +url="https://www.pureftpd.org"

Is there something in the new release that makes it not work on x86 or
arm? It would be better to leave arch as 'all' unless there's a reason.

> +depends="musl"

Dependency on musl is implicit, it's not needed here. abuild picks
all .so dependencies automatic.

> -source="http://download.pureftpd.org/pub/pure-ftpd/releases/$pkgname-$pkgver.tar.gz

Why are you removing the init.d and conf.d scripts?

> +       --with-extauth || return 1

Please fix white space there. We prefer tabs, not spaces.

> +       rm -rf "$pkgdir"/usr/local

This hunk has issues described above.

Could you please fix the mentioned issues, or explain in more detail
why they are needed and re-submit.

Thanks,
Timo

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---